# ScanbotCameraController class

## Constructors

ScanbotCameraController({required int viewId, required dynamic onCameraReady(ScanbotCameraController)?, dynamic onPictureTaken(Page)?, dynamic onHeavyOperationProcessing(bool)?, LiveDetector? detector, dynamic onCameraPreviewStarted()?})

## Properties

detector ↔ LiveDetector?
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
onCameraPreviewStarted ↔ (dynamic Function()?)
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
viewId ↔ int
  read / write

## Methods

isFlashAvailable() → Future<bool>
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
resumePreview() → Future
setFlashEnabled(bool enabled) → Future
stopPreview() → Future
toggleContinuosFocus() → Future
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Properties

channelName ↔ String
  read / write